n°15
Commande Rhino équivalente au MatchProperties d'Autocad
Python, Rhino3D
24 août 2018
import rhinoscriptsyntax as rs

def acadMatch(source):
    rs.Command("_SelWindow")

    targets = rs.SelectedObjects()
    if targets:
        rs.MatchObjectAttributes(targets, source)
        rs.UnselectAllObjects()
        acadMatch(source)
    else:
        print "No target object found."

sources = rs.SelectedObjects()
if len(sources) > 0:
    source = sources[0]
else:
    source = rs.GetObject("Select source object")

if source:
    rs.UnselectAllObjects()
    acadMatch(source)
else:
    print "No source object found."

A ajouter dans un bouton (voir article. On peut même prendre l'icône d'Autocad pour faire encore plus vrai.


corentin héraud-louisadat

architecte & développeur
75018 Paris
heraud-arobase-laponies-point-fr

*1992, Strasbourg.

Diplômé d'état en 2016 de l'ENSA Paris-Malaquais et de la RWTH Aachen puis habilité à maîtrise d'oeuvre en nom propre (HMONP) en 2019, j'ai travaillé pour diverses agences telles que Nicolas Reymond architectes urbanistes, Dietmar Feichtinger architectes ou Julian Breinersdorfer. Je développe également des applications pour le Web et la 3D. Vous pouvez également consulter l'archive des travaux laponies.fr ainsi que la carte des bonnes adresses.

Amis, famille et blogroll : Anaïs Héraud-Louisadat, Héraud–Baumann, Till Baumann, Anne-Claire Héraud, La Boucle.

alsace europe